# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/watchdog/allwinner,sun4i-a10-wdt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 Watchdog Device Tree Bindings

allOf:
  - $ref: "watchdog.yaml#"

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

properties:
  compatible:
    oneOf:
      - const: allwinner,sun4i-a10-wdt
      - const: allwinner,sun6i-a31-wdt
      - items:
          - const: allwinner,sun50i-a64-wdt
          - const: allwinner,sun6i-a31-wdt
      - items:
          - const: allwinner,sun50i-h6-wdt
          - const: allwinner,sun6i-a31-wdt
      - items:
          - const: allwinner,suniv-f1c100s-wdt
          - const: allwinner,sun4i-a10-wdt

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg
  - clocks
  - interrupts

unevaluatedProperties: false

examples:
  - |
    wdt: watchdog@1c20c90 {
        compatible = "allwinner,sun4i-a10-wdt";
        reg = <0x01c20c90 0x10>;
        interrupts = <24>;
        clocks = <&osc24M>;
        timeout-sec = <10>;
    };

...
